- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
PatchParam Struct Reference

`#include <types.h>`

Inheritance diagram for PatchParam:

## Public Attributes
float | sharpness
Public Attributes inherited from PatchParam
unsigned int | field0:32
unsigned int | field1:32

## Additional Inherited Members
Public Member Functions inherited from PatchParam
void | Set (Index faceid, short u, short v, unsigned short depth, bool nonquad, unsigned short boundary, unsigned short transition)
| Sets the values of the bit fields. More...
void | Clear ()
| Resets everything to 0. More...
Index | GetFaceId () const
| Retuns the faceid. More...
unsigned short | GetU () const
| Returns the log2 value of the u parameter at the top left corner of the patch. More...
unsigned short | GetV () const
| Returns the log2 value of the v parameter at the top left corner of the patch. More...
unsigned short | GetTransition () const
| Returns the transition edge encoding for the patch. More...
unsigned short | GetBoundary () const
| Returns the boundary edge encoding for the patch. More...
bool | NonQuadRoot () const
| True if the parent coarse face is a non-quad. More...
float | GetParamFraction () const
| Returns the fraction of normalized parametric space covered by the sub-patch. More...
unsigned short | GetDepth () const
| Returns the level of subdivision of the patch. More...
void | Normalize (float &u, float &v) const

## Detailed Description

Definition at line 93 of file types.h.

## Member Data Documentation

float sharpness

Definition at line 95 of file types.h.

The documentation for this struct was generated from the following file:

- opensubdiv/osd/types.h